Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
LocalDateTime | org.joda.time.*
Set | java.util.*
LocalTime | org.joda.time.*
HashMap | java.util.HashMap
ArrayList | java.util.ArrayList
URI | java.net.URI
Timestamp | java.sql.Timestamp
LocalDate | org.joda.time.*
BigDecimal | java.math.BigDecimal
Date | java.util.Date
DateTime | org.joda.time.*
Array | java.util.List
List | java.util.*
UUID | java.util.UUID
Map | java.util.Map

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- bool
- string
- int32
- int64
- bytes
- char
- Yojson.Safe.t
- float
- list
- int

##
RESERVED WORDS

- exception
- struct
- asr
- mod
- do
- functor
- type
- while
- when
- rec
- else
- function
- mutable
- let
- if
- val
- new
- method
- in
- module
- nonrec
- then
- done
- as
- external
- true
- try
- begin
- object
- private
- virtual
- lsl
- lazy
- for
- lsr
- lor
- sig
- result
- and
- assert
- of
- land
- end
- class
- lxor
- include
- or
- downto
- false
- match
- initializer
- with
- inherit
- constraint
- to
- fun
- open

Last updated on 1/9/2020